baseURL = "http://fjthpp2h3mj2rup25r3psmqamutnkbvxbpltlohdthw6fscgo3t6bpad.onion/"                        
title = "Iman's personal blog!"
theme = "PaperMod"

enableRobotsTXT = true
relativeURLs = false                  # keeps links working before you set baseURL
# canonifyURLs = true                # leave off unless you want absolute URLs from baseURL

[pagination]
  pagerSize = 5

[outputs]
  home = ["HTML", "RSS", "JSON"]     # JSON optional (search, etc.)
  section = ["HTML", "RSS"]
  taxonomy = ["HTML", "RSS"]
  term = ["HTML", "RSS"]

[services]
  [services.rss]
    # -1 = no limit; or set a number like 20
    limit = -1  


[params]
  mainSections = ["posts", "phd_journey"]
  defaultTheme = "auto"
  showReadingTime = true
  showPostNavLinks = true
  showBreadCrumbs = true
  showCodeCopyButtons = true
  disableSpecial1stPost = true
  comments = true
  commentsProviderDefault = "isso"
  author = "Iman Alipour"

  # PaperMod RSS options:
  ShowRssButtonInSectionTermList = true   # show RSS icon on section/taxonomy pages
  ShowFullTextinRSS = true                # full post content in RSS (optional)

[[params.socialIcons]]
  name = "rss"
  url  = "/index.xml"

[params.assets]
  favicon      = "favicon.ico"
  favicon16x16 = "favicon-16x16.png"
  favicon32x32 = "favicon-32x32.png"

# Top menu
[[menu.main]]
  name = "Posts"
  url = "/posts/"
  weight = 10
[[menu.main]]
  name = "PhD_journey"
  url = "/PhD_journey/"
  weight = 20
[[menu.main]]
  name = "About"
  url = "/about/"
  weight = 30
